WALL(1)

NAMN
wall - skriv ett meddelande till alla användare

SYNOPSIS

wall [-n] [-t tidsgräns] [-g grupp] [message | fil]

BESKRIVNING

wall visar ett meddelande, eller innehållet i en fil, eller på annat sätt dess standardinmatning, på terminalerna för alla användare som för närvarande är inloggade. Kommandot ombryter rader som är längre än 79 tecken. Korta rader fylls på med blanksteg för att få 79 tecken. Kommandot sätter alltid en vagnsretur och en ny rad i slutet av varje rad.

Endast superanvändaren kan skriva på terminaler som tillhör användare som har valt att neka meddelanden eller som använder ett program som automatiskt nekar meddelanden.

Läsning från en fil nekas när den som anropar inte är superuser och programmet är set-user-ID eller set-group-ID.

FLAGGOR

-n, --nobanner
    Undertrycka bannern.

-t, --timeout tidsgräns
    Överge skrivförsöket till terminalerna efter tidsgräns sekunder. Denna tidsgräns måste vara ett positivt heltal. Standardvärdet är 300 sekunder, vilket är ett arv från den tid då man använde terminaler via modemlinjer.

-g, --group grupp
    Begränsa utskriftsmeddelandet till medlemmar i en grupp som definieras med argumentet grupp. Argumentet kan vara gruppnamn eller GID.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

ANTECKNINGAR

Vissa sessioner, t.ex. wdm(1x), som i början av utmp(5) ut_type data har ett ':'-tecken kommer inte att få meddelandet från wall. Detta görs för att undvika skrivfel.

HISTORIK

Ett wall-kommando dök upp i version 7 AT&T UNIX.

SE ÄVEN

mesg(1), talk(1), write(1), shutdown(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot wall ingår i paketet util-linux som kan hämtas från